Name:           wxpdfdoc
Version:        0.9.2.1
Release:        2%{?dist}
Summary:        A library for creating PDF documents in C++ with wxWidgets
Group:          System Environment/Libraries
License:        wxWidgets
URL:            http://wxcode.sourceforge.net/components/wxpdfdoc/
Source:         http://sourceforge.net/projects/wxcode/files/Components/wxPdfDocument/wxpdfdoc-%{version}.tar.gz
Patch:          http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  wxGTK-devel

#%define ver %{?'wx-config --version'}
#%define ver2 'wx-config --release'
#%define prefijo 'wx-config --prefix'
%define _wxdir /wx-2.8/wx
%define _inclwxdir /include%{_wxdir}


%description
wxPdfDocument allows wxWidgets applications to generate PDF documents. 
The code is a port of FPDF - a free PHP class for generating PDF files - 
to C++ using the wxWidgets library. Several add-on PHP scripts found on 
the FPDF web site are incorporated into wxPdfDocument. Embedding of PNG, 
JPEG, GIF and WMF images is supported. In addition to the 14 standard 
Adobe fonts it is possible to use other Type1 or TrueType fonts - with 
or without embedding them into the generated document. In Unicode build 
CJK fonts are supported, too. Graphics primitives allow the creation of 
simple drawings.


%package devel
Summary:        Development files needed for the wxPdfDocument library
Group:          System Environment/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       wxGTK-devel


%description devel
wxPdfDocument allows wxWidgets applications to generate PDF documents. 
This package contains the development files needed to use the 
wxPdfDocument library.


%prep
%setup -q
chmod 644 *.txt
chmod 644 docs/*
chmod 755 docs/html
chmod 644 docs/html/*
sed -i.orig -e 's|$(prefix)/lib|$(prefix)/%{_lib}|g' build/GNUmakefile
%patch


%build
#make -C build prefix=$RPM_BUILD_ROOT%{_prefix} all -f GNUmakefile
echo %{ver}
echo %{ver2}
make -C build all -f GNUmakefile


%install
rm -rf $RPM_BUILD_ROOT
make -C build prefix=$RPM_BUILD_ROOT%{_prefix} install_pdfdoc_dll -f GNUmakefile
make -C build prefix=$RPM_BUILD_ROOT%{_prefix} WXINCLUDEDIR=%{_inclwxdir} install_pdfdoc_dll_headers -f GNUmakefile


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%{_libdir}/libwxcode_gtk2_pdfdoc*
%doc LICENCE.txt Readme.txt docs/*


%files devel
%defattr(-,root,root,-)
%{_includedir}%{_wxdir}/pdf*
# % {_prefix}/src/pdf*


%changelog
* Wed May 16 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.2.1-2
- Apply patch to build/GNUmakefile to install headers in the correct directory. 

* Mon May 07 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.2.1-1
- Updated to new upstream version.
- Fixed required base package.
- Group set to System Environment/Libraries.
- Removed gcc-c++ as requires.
- Added wxGTK-devel dependency in -devel package.

* Tue Aug 16 2011 Domingo Becker <domingobecker@gmail.com> - 0.9.1-3
- Fixed for a proper multilib support.
- devel package requires core package.

* Tue Aug 16 2011 Domingo Becker <domingobecker@gmail.com> - 0.9.1-2
- Fixed lib64 dir name issue in x86_64 with a patch.

* Mon Aug 15 2011 Domingo Becker <domingobecker@gmail.com> - 0.9.1-1
- Initial version.


